#!/usr/bin/perl
#-----------------------------------------------------------

$FileSpec = '* -*.bak -*.t\'?\'mp -*.obj -*.pch -*.pdb -*.sbr -*.ilk -*.bsc -*.idb -*.res -*.o';
$EXECUTE = 1;

#-----------------------------------------------------------
$_ = $0;
s|\\|/|g;
$ProgName = $_;
($ProgPath, $ProgName) = /(.*\/)(.*)/ if (/\//);
$ProgName =~ s/\.\w*$//; # strip extension, if any
 
$Path = $ARGV[0];
if ($Path eq '')
{
   print ("Error: Drive:[/Path] is required as a parameter!\n");
   exit -1;
}
$Path =~ s|\\|/|g;      # $Path: \ -> /

$p = $ProgPath;
$p =~ s|\\|/|g;      # $p: \ -> /
$p =~ s|^.:\/*||g;   # Remove drive
$p = $Path .'/'. $p;

$ExecCommand = <<EOT;
Sync.pl $ProgPath $p $FileSpec -r -t -v -x
EOT
if (!$EXECUTE)
{
   print ("$ExecCommand\n");
}
else
{
   system ($ExecCommand);
} 
  
$ExecCommand = <<EOT;
Sync.pl $p $ProgPath * -CLEANUP -r -f -x
EOT
if (!$EXECUTE)
{
   print ("$ExecCommand\n");
}
else
{
   system ($ExecCommand);
} 
  


 